
BIG Star Co.,Ltd - Sales support #311

Introduce new maker and explain new concept

18 Dec 2023 09:07 - Ryo Nozaki

Status: Closed Start date: 18 Dec 2023

Priority: Normal Due date: 29 Dec 2023

Assignee: Nattapol Poeam % Done: 100%

Category:  Estimated time: 10.00 hours

Target version:  Spent time: 80.00 hours

Finish date:    

Description

Find new maker and explain new concept

History

#1 - 08 Jan 2024 16:51 - Woraphong Wernsantiah

- Description updated

- Assignee changed from Woraphong Wernsantiah to Nattapol Poeam

#2 - 01 May 2024 14:53 - Ryo Nozaki

- Status changed from New to Closed

- % Done changed from 0 to 100
